Subject: [16ng] Interim final agenda

From: Soohong Daniel Park <[email-masked]>
Date: Fri, 08 Sep 2006 16:57:57 +0900

Final agenda for the interim...

o 1st Interim - Mannheim, Gernamy
o September, 12nd - 13rd

========================================

AGENDA

o 12nd, Thesday

1000 - 1030 Coffee break & socializing

1030 - 1230 Opening session

- Welcome      chairs
- Agenda bashing     chairs
- WG status and milestone review   chairs
- Informative reports
 + WiMAX IPv6 activity    Jinhyeock Choi
 + 802.16 related activities (if any)  TBD
- IPv6 deployment scenario v6ops document review Myungki Shin
- IPv6 subnet model design team report  Syam Madanapalli 

1230 - 1330 Lunch

1330 - 1530 Technical session I

- IPv6 subnet model design team report  Syam Madanapalli

1530 - 1600 Coffee break

1600 - 1800 Technical session II
 
 - IPv6 solution discussion - I
 + IPv6 shared prefix model over IPv6CS  Syam Madanapalli
 + IPv6 unique prefix model over IPv6CS  TBD
 + IPv6 over EthernetCS    TBD

1900 - 2200 Social

o 13rd, Wednesday

0900 - 1200 Technical session III

- IPv6 solution discussion - II

1200 - 1300 Lunch

1300 - 1430 Technical session IV

- IPv6 solution discussion - III
- Relevant discussion or presentation if any
 + IPv4 over EthernetCS    Max Riegel

1430 - 1500 Coffee break

1500 - 1600 Closing session

- Wrap-up      chairs
 + Recommendation on subnet model for IPv6 CS chairs
 + Next step     chairs
 
========================================

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.
>From [email-masked] Fri Sep  8 18:17:51 2006
Date: Fri, 8 Sep 2006 13:32:37 +0530
From: "Syam Madanapalli" <[email-masked]>
To: [email-masked]
Subject: Re: [16ng] Subnet Model Analysis for 16ng
cc: "[email-masked]" <[email-masked]>

Hi Heejin,

> 1.
> In case of shared & ethernet-like model, the periodical RAs may
> make all of the dormant nodes awake at the same time, which
> will cause 802.16e signaling messges for paging and power consumption of all
> nodes
> just for getting RAs.
> So, how about inserting to 3.1.4.7& 3.3.4.7 (changes on router
> implementation)
> so that RA's lifetime could be set to infinite value, or, 0xffff?

The current maximum possible interval for periodic RAs is 30 minutes.
The infinite value has not been defined for the router lifetime. You may
be interested to look at the following draft
http://www.ietf.org/internet-drafts/draft-madanapalli-ipv6-periodic-rtr-advts-00.txt
And there is a good discussion going on in IPv6 WG mailing list, no
conclusion has been made yet.

> 2.
> in 3.2.4.5
> "The AR can simply send link local multicast, for example unsolicited
>    Router Advertisements, and the BS can filter them out"
> => If AR sends RAs to announce some parameters such as the advertised
> prefix,
>      it should not be filtered by BS. How BS can differentiate this case?

Yes, I think it should be corrected.

>
>    So, I prefer that AR advertises RAs only when necessary without
> periodical RAs, and BS allows RAs.

The current IPv6 spec requires periodic RAs. Also removing periodic
RAs altogether may have adverse effect if the link contains many hosts.
May be we should look for increasing the interval.

> 3.
>
> in 3.1.4.4.
>
>    "All MSs send the packets to the AR irrespective of the destination and
> scope of the IPv6 address."
>
> =>  There could be a loopback message or decapsulation within MN such as
> MIPv6.
>
> "MSs send all the packets which are not destined to itself to the AR
> irrespective of the destination
>
>    and scope of the IPv6 address." may be better.

Yep, thanks.

Syam

>
>
>
> Some comments could be considered when solution document is made.
>
> Thanks.
>
>
>
> -- Regards,
>
>
> Heejin Jang
>
>
>
>
>
>
>
>
>
>From [email-masked] Fri Sep  8 22:51:10 2006
To: "JinHyeock Choi" <[email-masked]>
Subject: Re: [16ng] Subnet Model Analysis for 16ng 
Comments: In-reply-to "JinHyeock Choi" <[email-masked]>
   message dated "Fri, 08 Sep 2006 13:38:45 +0900."
Date: Fri, 08 Sep 2006 08:35:43 -0400
From: Thomas Narten <[email-masked]>
cc: [email-masked]

> In shared prefix model, we managed to run ND without multicast by
> imposing a few restrictions to simplify network. There is only one
> access router and an MN's (known) on-link neighbor is only its AR. All
> ND procedures (such as address resolution) can be performed between an
> MS and its AR without concerning other nodes except DAD.

I think it would be helpful to have subsections in the document that
explain how ND works (or is assumed to work, once (current unstated!)
assumptions are made) in each case.

Thomas
>From [email-masked] Sat Sep  9 04:44:14 2006
Date: Fri, 8 Sep 2006 23:58:56 +0530
From: "Syam Madanapalli" <[email-masked]>
To: [email-masked]
Subject: Re: [16ng] Subnet Model Analysis for 16ng

Link to the draft:
http://www.ietf.org/internet-drafts/draft-madanapalli-16ng-subnet-model-analysis-00.txt
>From [email-masked] Sat Sep  9 14:18:30 2006
Date: Sat, 09 Sep 2006 12:03:03 +0800
From: qinxia <[email-masked]>
Subject: RE: [16ng] Subnet Model Analysis for 16ng
To: [email-masked], "'Behcet Sarikaya'" <[email-masked]>
cc: [email-masked]

 Hello all,

           IMHO, The overlap between Paging area and the coverage area under
a AR does not mean 

" Neighbor discovery = paging?" 

A relay Paging controller function may be provided by an AR(ASN-GW), so, I
think, the AR may know the dormant hosts.

If I miss something or misunderstanding something, let me know,  Thanks.

BR
Alice 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Pars Mutaf
> Sent: Friday, September 08, 2006 12:01 AM
> To: Behcet Sarikaya
> Cc: [email-masked]
> Subject: Re: [16ng] Subnet Model Analysis for 16ng
> 
> Hi, 
> 
> On Thu, 2006-09-07 at 08:52 -0700, Behcet Sarikaya wrote:
> 
> > ==> I think that PA should be the coverage area under an AR (or
> > ASN-GW) which might
> > ==>include many BSs (this is from IP Paging point of definition). 
> > ==>In the shared prefix model, this translates to subnet=PA, but in 
> > the per-MS prefix model ==>it does not, PA=all BS's under AR is 
> > probably better definition.
> 
> 
> OK. Paging is the responsibility of AR, in this case. Right?
> 
> I'd like to ask another question if
> possible: 
> 
>      Neighbor discovery = paging?
> 
> That's my impression. But I'm not sure.
> 
> If so, does the AR know the current BS of the dormant host?
> 
> Thanks! 
> pars
> 
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>